# Uses of Interface
org.opensaml.xacml.policy.DescriptionType

Packages that use DescriptionType
Package
Description
org.opensaml.xacml.policy
XMLObject interfaces for XACML policy schema.
org.opensaml.xacml.policy.impl
XMLObject provider implementation classes for XACML policy schema.

## Uses of DescriptionType in org.opensaml.xacml.policy

Methods in org.opensaml.xacml.policy that return DescriptionType
Modifier and Type
Method
Description
`DescriptionType`
PolicySetType.`getDescription()`
Gets the description for this policy set.
`DescriptionType`
PolicyType.`getDescription()`
Gets the description for this policy.
`DescriptionType`
RuleType.`getDescription()`
Gets the description of this rule.
Methods in org.opensaml.xacml.policy with parameters of type DescriptionType
Modifier and Type
Method
Description
`void`
PolicySetType.`setDescription(DescriptionType description)`
Sets the description for this policy set.
`void`
PolicyType.`setDescription(DescriptionType description)`
Sets the description for this policy.
`void`
RuleType.`setDescription(DescriptionType description)`
Sets the description of this rule.

## Uses of DescriptionType in org.opensaml.xacml.policy.impl

Classes in org.opensaml.xacml.policy.impl that implement DescriptionType
Modifier and Type
Class
Description
`class`
`DescriptionTypeImpl`
Concrete implementation of `DescriptionType`.
Fields in org.opensaml.xacml.policy.impl declared as DescriptionType
Modifier and Type
Field
Description
`private DescriptionType`
PolicySetTypeImpl.`description`
Policy set description.
`private DescriptionType`
PolicyTypeImpl.`description`
Policy description.
`private DescriptionType`
RuleTypeImpl.`description`
Dscription of the rule.
Methods in org.opensaml.xacml.policy.impl that return DescriptionType
Modifier and Type
Method
Description
`DescriptionType`
DescriptionTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`DescriptionType`
DescriptionTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`DescriptionType`
PolicySetTypeImpl.`getDescription()`
Gets the description for this policy set.
`DescriptionType`
PolicyTypeImpl.`getDescription()`
Gets the description for this policy.
`DescriptionType`
RuleTypeImpl.`getDescription()`
Gets the description of this rule.
Methods in org.opensaml.xacml.policy.impl with parameters of type DescriptionType
Modifier and Type
Method
Description
`void`
PolicySetTypeImpl.`setDescription(DescriptionType newDescription)`
Sets the description for this policy set.
`void`
PolicyTypeImpl.`setDescription(DescriptionType newDescription)`
Sets the description for this policy.
`void`
RuleTypeImpl.`setDescription(DescriptionType newDescription)`
Sets the description of this rule.